<?php
  /**************************************************************************\
  * phpGroupWare - phpgw_dj                                                  *
  * http://www.phpgroupware.org                                              *
  * Written by Miles Lott <milosch@phpgroupware.org>                         *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  /* $Id: show.php,v 1.5 2001/05/05 02:50:46 jengo Exp $ */

	$phpgw_info['flags'] = array(
		'noheader'              => True,
		'nonavbar'              => True,
		'currentapp' => 'dj',
	);
	include('../header.inc.php');

	if ($request)
	{
		$ssonglist = rawurlencode(serialize($songlist));
		Header('Location: ' . $phpgw->link('/dj/request.php',"songlist=" . $ssonglist . "&cat_id=$cat_id&start=$start"));
		$phpgw->common->phpgw_exit();
	}

	$phpgw->common->phpgw_header();
	echo parse_navbar();

	if ($addshow)
	{
		echo '<br>called from addshow button.' . "\n";
		@reset($songlist);
		while (list($key,$id) = @each($songlist))
		{
			$phpgw->db->query("SELECT song_artist,song_title FROM phpgw_dj_songlist WHERE song_id='$id'");
			$phpgw->db->next_record();
			echo '<br>' . $id . ': ' . $phpgw->db->f(0) . ' - ' . $phpgw->db->f(1) . "\n";
		}
/*		@reset($songlist);
		$sql = "INSERT INTO phpgw_dj_shows (show_name,show_data,show_owner) VALUES ("
			. "'" . "show name" . "',"
			. "'" . serialize($songlist) . "',"
			. $phpgw_info['user']['account_id'] . ")";
		$phpgw->db->query($sql);
*/			
	}
	echo '<br>Not yet implemented' . "\n";
	$phpgw->common->phpgw_footer();
?>
